Mailinglist Archive: opensuse-factory (673 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20160621 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20160621

Packages changed:
GeoIP
GraphicsMagick (1.3.23 -> 1.3.24)
abiword
akonadi-calendar (16.04.1 -> 16.04.2)
akonadi-search (16.04.1 -> 16.04.2)
akonadi-server (16.04.1 -> 16.04.2)
apache-pdfbox (1.8.11 -> 1.8.12)
aria2 (1.23.0 -> 1.24.0)
ark (16.04.1 -> 16.04.2)
audacity
baloo5-widgets (16.04.1 -> 16.04.2)
bundle-lang-common
bundle-lang-gnome
bundle-lang-kde
calendarsupport (16.04.1 -> 16.04.2)
clamav
dasher
dolphin (16.04.1 -> 16.04.2)
dragonplayer (16.04.1 -> 16.04.2)
drbd (9.0.1+git.86e4439 -> 9.0.2+git.14d2eea)
eventviews (16.04.1 -> 16.04.2)
gcc (5 -> 6)
gcc6 (5.3.1+r234891 -> 6.1.1+r236988)
gcin
ghex (3.18.1 -> 3.18.2)
gnome-mines (3.20.0 -> 3.20.1)
gparted (0.26.0 -> 0.26.1)
gpgmepp5 (16.04.1 -> 16.04.2)
grantleetheme (16.04.1 -> 16.04.2)
grilo-plugins
gst-rtsp-server (1.8.1 -> 1.8.2)
gstreamer-editing-services (1.8.1 -> 1.8.2)
gstreamer-validate (1.8.1 -> 1.8.2)
gwenview5 (16.04.1 -> 16.04.2)
ibus-table-others
incidenceeditor (16.04.1 -> 16.04.2)
java-1_8_0-openjdk (1.8.0.77 -> 1.8.0.91)
kaccounts-integration (16.04.1 -> 16.04.2)
kaccounts-providers (16.04.1 -> 16.04.2)
kalarmcal (16.04.1 -> 16.04.2)
kamera (16.04.1 -> 16.04.2)
kate (16.04.1 -> 16.04.2)
kcalc (16.04.1 -> 16.04.2)
kcalcore (16.04.1 -> 16.04.2)
kcalutils (16.04.1 -> 16.04.2)
kcharselect (16.04.1 -> 16.04.2)
kcolorchooser (16.04.1 -> 16.04.2)
kcontacts (16.04.1 -> 16.04.2)
kdebase4 (16.04.1 -> 16.04.2)
kdebase4-runtime (16.04.1 -> 16.04.2)
kdebindings-smokekde
kdebindings-smokeqt
kdelibs4 (4.14.19 -> 4.14.21)
kdenetwork4-filesharing (16.04.1 -> 16.04.2)
kdepim (16.04.1 -> 16.04.2)
kdepim-addons (16.04.1 -> 16.04.2)
kdepim-apps-libs (16.04.1 -> 16.04.2)
kdepim-runtime (16.04.1 -> 16.04.2)
kdepimlibs (16.04.1 -> 16.04.2)
kdgantt2 (16.04.1 -> 16.04.2)
kdnssd (16.04.1 -> 16.04.2)
kexec-tools (2.0.10 -> 2.0.12)
kget (16.04.1 -> 16.04.2)
kgpg (16.04.1 -> 16.04.2)
kholidays (16.04.1 -> 16.04.2)
kidentitymanagement (16.04.1 -> 16.04.2)
kimap (16.04.1 -> 16.04.2)
kio-extras5 (16.04.1 -> 16.04.2)
kio_audiocd (16.04.1 -> 16.04.2)
kldap (16.04.1 -> 16.04.2)
kleopatra5 (16.04.1 -> 16.04.2)
kmag (16.04.1 -> 16.04.2)
kmailtransport (16.04.1 -> 16.04.2)
kmbox (16.04.1 -> 16.04.2)
kmime (16.04.1 -> 16.04.2)
kmousetool (16.04.1 -> 16.04.2)
kompare (16.04.1 -> 16.04.2)
konsole (16.04.1 -> 16.04.2)
kontactinterface (16.04.1 -> 16.04.2)
kopete (16.04.1 -> 16.04.2)
kpimtextedit (16.04.1 -> 16.04.2)
kqtquickcharts (16.04.1 -> 16.04.2)
krdc (16.04.1 -> 16.04.2)
krename
krfb (16.04.1 -> 16.04.2)
kruler (16.04.1 -> 16.04.2)
ktnef (16.04.1 -> 16.04.2)
ktp-accounts-kcm (16.04.1 -> 16.04.2)
ktp-approver (16.04.1 -> 16.04.2)
ktp-auth-handler (16.04.1 -> 16.04.2)
ktp-common-internals (16.04.1 -> 16.04.2)
ktp-contact-list (16.04.1 -> 16.04.2)
ktp-contact-runner (16.04.1 -> 16.04.2)
ktp-desktop-applets (16.04.1 -> 16.04.2)
ktp-filetransfer-handler (16.04.1 -> 16.04.2)
ktp-kded-module (16.04.1 -> 16.04.2)
ktp-send-file (16.04.1 -> 16.04.2)
ktp-text-ui (16.04.1 -> 16.04.2)
kwalletmanager5 (16.04.1 -> 16.04.2)
libappindicator
libgcj-gcc6 (5.3.1+r234891 -> 6.1.1+r236988)
libgravatar (16.04.1 -> 16.04.2)
libixion (0.11.0 -> 0.11.1)
libkcddb4 (16.04.1 -> 16.04.2)
libkcompactdisc4 (16.04.1 -> 16.04.2)
libkdcraw (16.04.1 -> 16.04.2)
libkdepim (16.04.1 -> 16.04.2)
libkexiv2 (16.04.1 -> 16.04.2)
libkface (16.04.1 -> 16.04.2)
libkgeomap (16.04.1 -> 16.04.2)
libkipi (16.04.1 -> 16.04.2)
libkleo (16.04.1 -> 16.04.2)
libkomparediff2 (16.04.1 -> 16.04.2)
libksane (16.04.1 -> 16.04.2)
libksieve (16.04.1 -> 16.04.2)
liborcus (0.11.0 -> 0.11.2)
libpano
libqt5-qtdeclarative
libreoffice (5.1.3.1 -> 5.2.0.0.beta2)
libvirt (1.3.4 -> 1.3.5)
libvirt-python (1.3.4 -> 1.3.5)
libxslt (1.1.28 -> 1.1.29)
libxslt-python (1.1.28 -> 1.1.29)
mailcommon (16.04.1 -> 16.04.2)
mailimporter (16.04.1 -> 16.04.2)
marble (16.04.1 -> 16.04.2)
messagelib (16.04.1 -> 16.04.2)
mobipocket (16.04.1 -> 16.04.2)
mutt
notmuch (0.20.2 -> 0.22)
okular (16.04.1 -> 16.04.2)
openbabel (2.3.1 -> 2.3.2)
opencv
opencv-qt5
perl-CGI (4.21 -> 4.30)
perl-DateTime-TimeZone (1.98 -> 2.00)
perl-Image-ExifTool (10.15 -> 10.20)
perl-Moose (2.1802 -> 2.1804)
perl-SOAP-Lite (1.19 -> 1.20)
perl-qt4
pimcommon (16.04.1 -> 16.04.2)
presage
python-dnspython (1.12.0 -> 1.14.0)
python3-gst (1.8.1 -> 1.8.2)
qemu
qemu-linux-user
signon-kwallet-extension (16.04.1 -> 16.04.2)
spectacle (16.04.1 -> 16.04.2)
spice-vdagent
sweeper (16.04.1 -> 16.04.2)
syndication (16.04.1 -> 16.04.2)
sysdig (0.9.0_k4.6.2_1 -> 0.10.0_k4.6.2_1)
virt-manager
virt-viewer
vm-install (0.8.53 -> 0.8.54)
wine (1.9.11 -> 1.9.12)
wireshark (2.0.3 -> 2.0.4)
xen (4.6.1_01 -> 4.7.0_06)
xosview
zinnia

=== Details ===

==== GeoIP ====
Subpackages: GeoIP-data libGeoIP1

- Fix compilation errors seen by GCC6.

==== GraphicsMagick ====
Version update (1.3.23 -> 1.3.24)
Subpackages: GraphicsMagick-devel libGraphicsMagick-Q16-3
libGraphicsMagick3-config libGraphicsMagickWand-Q16-2

- updated to 1.3.24:
* many security related changes (incl. CVE-2016-5118), see
ChangeLog
- removed patches:
* GraphicsMagick-CVE-2016-5118.patch
* GraphicsMagick-upstream-delegates-safer.patch
* GraphicsMagick-upstream-disable-mvg-ext.patch
* GraphicsMagick-upstream-disable-tmp-magick-prefix.patch
* GraphicsMagick-upstream-image-sanity-check.patch

==== abiword ====
Subpackages: libabiword-3_0

- Add abiword-3.0.1-gcc6.patch: Fix build with gcc6 (boo#985070).

==== akonadi-calendar ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== akonadi-search ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5AkonadiSearch

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== akonadi-server ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5AkonadiAgentBase5 libKF5AkonadiCore5 libKF5AkonadiWidgets5

- Use shared-mime-info macros (boo#979301)
- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== apache-pdfbox ====
Version update (1.8.11 -> 1.8.12)

- Update to version 1.8.12
- CVE-2016-2175 (pdfbox only, which isn't build by this spec)

==== aria2 ====
Version update (1.23.0 -> 1.24.0)
Subpackages: aria2-lang libaria2-0

- Update to version 1.24.0:
* BitTorrent: Allow 32KiB request
* Don't unchoke peer which is not interested in us
* Fix bug that evaluation of Peer::amChoking is negated
* Faster seed/download on fast connection
* Increase DHT task concurrency to 15
* Fixed mmap failure check with MAP_FAILED flag
* Added file size overflow check for mmap on 32bit os
* Use standard percent-encode for tracker request query
* mingw32: Gain privilege before opening files
* Restart active download to apply previously not applicable
options

==== ark ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libkerfuffle16

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== audacity ====
Subpackages: audacity-lang

- Add audacity-gcc6.patch: Fix GCC6 warnings.

==== baloo5-widgets ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== bundle-lang-common ====
Subpackages: bundle-lang-common-cs bundle-lang-common-da bundle-lang-common-de
bundle-lang-common-el bundle-lang-common-en bundle-lang-common-es
bundle-lang-common-fr bundle-lang-common-hu bundle-lang-common-it
bundle-lang-common-ja bundle-lang-common-pl bundle-lang-common-pt
bundle-lang-common-ru bundle-lang-common-zh

- Update package list.

==== bundle-lang-gnome ====
Subpackages: bundle-lang-gnome-cs bundle-lang-gnome-da bundle-lang-gnome-de
bundle-lang-gnome-el bundle-lang-gnome-en bundle-lang-gnome-es
bundle-lang-gnome-fr bundle-lang-gnome-hu bundle-lang-gnome-it
bundle-lang-gnome-ja bundle-lang-gnome-pl bundle-lang-gnome-pt
bundle-lang-gnome-ru bundle-lang-gnome-zh

- Update package list.

==== bundle-lang-kde ====
Subpackages: bundle-lang-kde-cs bundle-lang-kde-da bundle-lang-kde-de
bundle-lang-kde-el bundle-lang-kde-en bundle-lang-kde-es bundle-lang-kde-fr
bundle-lang-kde-hu bundle-lang-kde-it bundle-lang-kde-ja bundle-lang-kde-pl
bundle-lang-kde-pt bundle-lang-kde-ru bundle-lang-kde-zh

- Update package list.

==== calendarsupport ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5CalendarSupport5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== clamav ====

- Change default C++ std to -std=gnu++98.

==== dasher ====
Subpackages: dasher-data-extras dasher-data-recommended dasher-lang

- Add dasher-gcc6.patch: Fix build with gcc 6 (bool can't be used
as return value for functions returning string) (boo#985108).

==== dolphin ====
Version update (16.04.1 -> 16.04.2)
Subpackages: dolphin-part libdolphinvcs5

- Require baloo5-kioslaves so dolphin doesn't show an "Invalid
protocol" error when trying to find a file because the
baloosearch kioslave is not installed.
- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== dragonplayer ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== drbd ====
Version update (9.0.1+git.86e4439 -> 9.0.2+git.14d2eea)

- bsc#983633, upgrade to ver9.0.2 to build against kernel 4.6/4.7
- Add patch compat-4.7-9902af79-i_mutex.patch
- Add patch compat-4.7-fe8fb75e-blk_queue_write_cache.patch
- Add patch compat-4.7-50225243-kill-nla_put_u64.patch
- Add patch compat-4.7-1dee3f59-align-nla-u64.patch

==== eventviews ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5EventViews5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== gcc ====
Version update (5 -> 6)
Subpackages: cpp gcc-c++ gcc-fortran gcc-gij gcc-info gcc-java gcc-objc
libgcj-devel libstdc++-devel

- Switch gcc to default 6.

==== gcc6 ====
Version update (5.3.1+r234891 -> 6.1.1+r236988)
Subpackages: libatomic1 libcilkrts5 libgcc_s1 libgcc_s1-32bit libgfortran3
libgomp1 libitm1 liblsan0 libobjc4 libquadmath0 libstdc++6 libstdc++6-32bit
libtsan0 libubsan0

- Update disk-space _constraints, add libgcj-gcc6 _constraints similar
to gcc6-testresults as that one is also building libjava.
- Update to gcc-6-branch head (r236988).
- Enable profiledbootstrap for AARCH64.
- Add gcc6-disable-aarch64-tsan.patch to disable TSAN on aarch64 because
libtsan0 is not installable.
- Fix HSA build conditional for crosses.
- Update to gcc-6-branch head (r235696).
* Fixes libgcj_bc1 version check issue.
- Update to GCC 6.1.0 release (r235473).
* Includes fix for python3 miscompile [bnc#976024]
- Enable profiledbootstrap, but not if building libjava where also
disable bootstrap
- Add gcc6-hsa-enablement.patch and enable HSA offloading target.
- Update to SVN trunk head (r234970).
- Enable Ada on ppc64le and aarch64.
- Update to SVN trunk head (r234449).
- Do not build libffi packages for now.
- Adds support for %disable_32bit.
- Build with release checking.
- Enable cross compiler builds.
- Update to SVN trunk head (r234106).
* Bumps libgo SO version to 9
* Bumps libffi SO version to 7
- Refresh gcc44-rename-info-files.patch
- New package, inherits from gcc5
* gcc-dir-version.patch, drop patchlevel from install directory names
* gcc-add-defaultsspec.diff, add the ability to provide a specs file
that is read by default
* libjava-no-multilib.diff, do not build multilibs for libjava even on
multilib systems (we use baselibs for it)
* tls-no-direct.diff, avoid direct %fs references on x86 to not slow down
Xen
* gcc43-no-unwind-tables.diff, do not produce unwind tables for CRT files
* gcc41-java-slow_pthread_self.patch, force us to assume pthread_self
is fast
* gcc41-ppc32-retaddr.patch, fix expansion of __builtin_return_addr for ppc
* gcc44-textdomain.patch, make translation files version specific and
adjust textdomain to find them
* gcc44-rename-info-files.patch, fix cross-references in info files when
renaming them to be version specific
* gcc48-libstdc++-api-reference.patch, fix link in the installed libstdc++
html documentation
* gcc48-remove-mpfr-2.4.0-requirement.patch, make GCC work with earlier
mpfr versions on old products
* gcc5-libsanitize-aarch64-va42.patch, make address sanitizer work with 42bit
address space on aarch64
* gcc5-no-return-gcc43-workaround.patch, make build work with host gcc 4.3
- Drops
* Wunprototyped-calls.diff because -std=gnu11 is default now.
* gcc5-libgo-fix-certificates-lookup.patch, no longer applies and is only
required for SLE11

==== gcin ====

- fix tumbleweed build
- refresh patch: gcin-improve-build-with-pkgconfig.patch
* Qt5PlatformSupport has gone from Qt 5.6.0
* fix include for qinputmethod.h
- add gcin-qt5 to baselibs.conf
- rename the sub-packages in openSUSE style
- split libgcin-im-client1 library

==== ghex ====
Version update (3.18.1 -> 3.18.2)
Subpackages: ghex-lang libgtkhex-3-0

- Update to version 3.18.2:
+ Fix build with GCC 6.
+ Updated translations.

==== gnome-mines ====
Version update (3.20.0 -> 3.20.1)

- Update to version 3.20.1:
+ Can not enter custom size (bgo#766145).
+ Updated translations.

==== gparted ====
Version update (0.26.0 -> 0.26.1)

- Update to version 0.26.1:
+ Key changes include:
- Ensure boot loaders work on ext4 < 16 TiB by using 32bit
feature.
- Fix core dump crash in OperationDelete::get_partition_new().
+ Bug Fixes:
- Clean up partition path "copy of /dev/SRC" code ugliness
(bgo#766349).
- Fix PedGeometry objects are memory leaked (bgo#767009).
- Multiple boot loaders don't work on 64bit EXT4 file systems
(bgo#766910).
- Fix core dump crash in OperationDelete::get_partition_new()
(bgo#767233).
+ Updated translations.

==== gpgmepp5 ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5QGpgme5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== grantleetheme ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5GrantleeTheme5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== grilo-plugins ====
Subpackages: grilo-plugin-tracker grilo-plugin-youtube

- Add grilo-plugins-Fix-gcc6-build.patch: Fix build with GCC 6,
patch from upstream.

==== gst-rtsp-server ====
Version update (1.8.1 -> 1.8.2)

- Update to version 1.8.1:
+ bgo#764744: Crashes when multiple udpsrc are created for each
client on a shared media, misses tracking and cleanup.
+ bgo#766619: Space between ; and timeout= in session header is
not RFC2326 compliant.

==== gstreamer-editing-services ====
Version update (1.8.1 -> 1.8.2)
Subpackages: libges-1_0-0 typelib-1_0-GES-1_0

- Update to version 1.8.2:
+ bgo765853: timeline: rename "track-element" to
"track_element" in select-tracks-for-object documentation.
+ bgo#765856: g-i: use only " ges/ges.h " as c-include for
introspection.
+ bgo#766455: nlecomposition: ensure elements pending to be added
are not leaked.
+ bgo#766459: ges: ges_asset_set_proxy documentation fix and add
some g-i annotations.
+ bgo#766524: audio-source: unref private capsfilter reference on
finalize.
+ bgo#767053: nlecomposition: Fix race condition in seek handling
causing deadlocks.
+ bgo#767293: ges-uri-asset: GstDiscoverer can return a valid
info but a non-OK result, consider this an error.

==== gstreamer-validate ====
Version update (1.8.1 -> 1.8.2)
Subpackages: libgstvalidate-1_0-0

- Update to version 1.8.2:
+ configure: Properly set the current validate testsuite to 1.8.
+ validate: Stop using deprecated method.
- Add gstreamer-validate-correctplugindir.patch from upstream
to fix Pitivi startup on some systems.

==== gwenview5 ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ibus-table-others ====
Subpackages: ibus-table-rustrad ibus-table-translit

- Update to 1.3.4
* Make status prompts and symbols more consistent
* Change MAX_KEY_LENGTH from 2 to 1 for the rusle, rustrad, thai, and yawerty
tables.
* Delete the RULES from the emoji-table
* Make default options of rusle.txt the same as in rustrad.txt
* Add Russian Legacy layout
* Add ?\circ ? U+2218 RING OPERATOR? back to the latex table
- Update to 1.3.1
* Add _ and ^ to the start characters for the LaTeX table
* Updates and bugfixes for the LaTeX table by Giuseppe Castagna (original
author of the LaTeX table)
* Use SELECT_KEYS = F1,F2,F3,F4,F5,F6,F7,F8,F9 for ipa-x-sampa
* Add single and multi wildcard options to all tables
* use AUTO_WILDCARD=TRUE for all tables, this option started working in
ibus-table > 1.8.0
* Don?t force ?us? layout for cns11643, compose, ipa-x-sampa, viqr, emoji,
mathwriter-ibus, translit-ua, and translit
* Keep forcing ?us? layout only for ?rustrad?, ?yawerty?, and ?thai?. But
ibus does not use the option ?KEYBOARD_LAYOUT?, the correct name of that option
is just ?LAYOUT?. Fix that for all tables.
* Don?t force ?us? layout for the latex input method
* The ?latex? table uses ?\? as a startchar
* includes "Set symbols to be displayed in IM switchers" by Sean Burke
- Drop old patch (emoji-table.patch)
- fix build with ibus 1.4.1
- Fixed typos in ibus-table-others.spec
- Add locale-specific provides tags for automatic installation
- Moved from ibus-table package for ibus-1.3.x;
this is a compound package of non-Chinese input method tables

==== incidenceeditor ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== java-1_8_0-openjdk ====
Version update (1.8.0.77 -> 1.8.0.91)
Subpackages: java-1_8_0-openjdk-devel java-1_8_0-openjdk-headless

- Added patch:
* disable-doclint-by-default-patch
- Disable Doclint while building javadoc by default. OpenJDK 8
adds and enables doclint by default. This catches issues in
javadoc comments. It is too strict, breaks javadoc compilation
and, in general, breaks the build for old code known to build
with previous versions of OpenJDK.
- Cycle make on i586 in order to prevent some random build errors
that are not easily reproduceable and thus fixable.
- Added patch:
* java-1_8_0-openjdk-gcc6.patch
+ Fix build with gcc 6.1
- Add -fno-delete-null-pointer-checks -fno-lifetime-dse to try to
avoid some crashes
- Upgrade to version jdk8u91 (icedtea 3.0.1, bsc#976340)
- Icedtea changes from 2.6.5
* Security fixes
- S8129952, CVE-2016-0686: Ensure thread consistency
- S8132051, CVE-2016-0687: Better byte behavior
- S8138593, CVE-2016-0695: Make DSA more fair
- S8139008: Better state table management
- S8143167, CVE-2016-3425: Better buffering of XML strings
- S8143945, CVE-2016-3426: Better GCM validation
- S8144430, CVE-2016-3427: Improve JMX connections
- S8146494: Better ligature substitution
- S8146498: Better device table adjustments
* Import of OpenJDK 8 u91 build 14
- S8002116: This JdbReadTwiceTest.sh gets an exit 1
- S8007890: [TESTBUG] JcmdWithNMTDisabled.java fails when
invoked with NMT explicitly turned on
- S8036132: Tab characters in test/com/sun/jdi files
- S8038963: com/sun/jdi tests fail because cygwin's ps sometimes
misses processes
- S8044419: TEST_BUG: com/sun/jdi/JdbReadTwiceTest.sh fails when
run under root
- S8059661: Test SoftReference and OOM behavior
- S8067422: Lambda method names are unnecessarily unstable
- S8073735: [TEST_BUG] compiler/loopopts/CountedLoopProblem.java
got OOME
- S8074146: [TEST_BUG] jdb has succeded to read an unreadable
file
- S8130212: Thread::current() might access freed memory on
Solaris
- S8132890: Text Overlapping on Dot Matrix Printers
- S8134297: NPE in GSSNameElement nameType check
- S8134650: Xsl transformation gives different results in 8u66
- S8134828: Scrollbar thumb disappears with Nimbus L&F
- S8138589: Correct limits on unlimited cryptography
- S8138811: Construction of static protection domains
- S8140268: Generate link to specification license for JavaDoc
API documentation
- S8141229: [Parfait] Null pointer dereference in cmsstrcasecmp
of cmserr.c
- S8143002: [Parfait] JNI exception pending in fontpath.c:1300
- S8143959: Certificates requiring blacklisting
- S8146477: [TEST_BUG] ClientJSSEServerJSSE.java failing again
- S8146518: Zero interpreter broken with better byte behaviour
- S8146967: [TEST_BUG] javax/security/auth/SubjectDomainCombiner/Optimize.java
should use 4-args ProtectionDomain constructor
- S8147567: InterpreterRuntime::post_field_access not updated
for boolean in JDK-8132051
- S8148446: (tz) Support tzdata2016a
- S8148475: Missing SA Bytecode updates.
- S8148487: PPC64: Better byte behavior
- S8148522: Backout JDK-8138811 from 2016 Apr CPU repo
- S8149170: Better byte behavior for native arguments
- S8149367: PolicyQualifierInfo/index_Ctor JCk test fails with
IOE: Invalid encoding for PolicyQualifierInfo
- S8150012: Better byte behavior for reflection
- S8150790: 8u75 L10n resource file translation update
* Backports
- S8148752, PR2943: Compiled StringBuilder code throws
StringIndexOutOfBoundsException
- S8154210: Zero: Better byte behaviour
- S8154413: AArch64: Better byte behaviour
- S4890063, PR2304, RH1214835: HPROF: default text truncated
when using doe=n option
- S6425769, PR2859: Allow specifying an address to bind JMX
remote connector
- S8000650, PR2462: unpack200.exe should check gzip crc
- S8031668, PR2842: TOOLCHAIN_FIND_COMPILER unexpectedly
resolves symbolic links
- S8035341: Allow using a system installed libpng
- S8038392: Generating prelink cache breaks JAVA 'jinfo' utility
normal behavior
- S8042159: Allow using a system-installed lcms2
- S8042806: Splashscreen uses libjpeg-internal macros
- S8043805: Allow using a system-installed libjpeg
- S8044235: src.zip should include all sources
- S8074839, PR2462: Resolve disabled warnings for libunpack and
the unpack200 binary
- S8074859, PR1937: Turn on warnings as error
- S8087218, PR2740: Constant fold loads from final instance
fields in VM anonymous classes
- S8139932, PR2739: Typo in makefile changes for 8043805 [Allow
using a system-installed libjpeg]
- S8140483, PR2740: Atomic*FieldUpdaters final fields should be
trusted
- S8140620, PR2769: Find and load default.sf2 as the default
soundbank on Linux
- S8145096, PR2854: Undefined behaviour in HotSpot
- S8145982, PR2859: JMXInterfaceBindingTest is failing
intermittently
- S8146015, PR2859: JMXInterfaceBindingTest is failing
intermittently for IPv6 addresses
- S8148351, PR2842: Only display resolved symlink for compiler,
do not change path
- S8150954, PR2866, RH1176206: AWT Robot not compatible with
GNOME Shell
* Bug fixes
- PR2933: Support ccache 3.2 and later
- PR2934: SunEC provider throwing KeyException with current NSS
- S8041658: Use of -fdevirtualize on macroAssembler_x86.o
(via -O2) with gcc 4.9.0 creates broken VM
- PR94: empty install target in Makefile.am
- PR729: GTKLookAndFeel should be the system look&feel on all
GNU/Linux desktops
- PR1275: Provide option to turn off downloading of tarballs
- PR1281, RH513605: Updating/Installing OpenJDK should recreate
the shared class-data archive
- PR1289: Allow JARs to be optionally compressed by setting
COMPRESS_JARS
- PR1291: Ensure unlimited crypto policy is in place.
- PR1325: Only add classes to rt-source-files.txt if actually
needed
- PR1341: Remove Rhino support
- PR1346: Filter out -j option to make
- PR1347: Update list of checked JDKs
- PR1348: java -version output is broken
- PR1357: Make XRender mandatory
- PR1359: Check for /usr/lib64 JVMs and generic JPackage
alternative
- PR1364: Replace hgforest support
- PR1367: Support using the system installation of LCMS
- PR1368: Ensure debug data is available for all libraries and
binaries without redundant files
- PR1369: Remove outdated bootstrap configure tests or make them
fail on error
- PR1377: Forwardport javac detection / usability test from
IcedTea 2.x
- PR1379: Add build support for Zero AArch64
- PR1413: Undefined reference to libz during link of unpack200
- PR1741: Break PulseAudio provider out into IcedTea-Sound
- PR1766: Expand architecture support
- PR1774: Support GIF lib v5
- PR1774: Correct #ifdef to #if
- PR1796: make fails with "computed checksum did NOT match"
- PR1806: Support Debian/Ubuntu 7 & 8 OpenJDK Installs as Boot
JDK
- PR1812: Unable to locate HotSpot checksum when downloading
- PR1813: HotSpot URL should be used with --enable-hg
- PR1815: Split download/extraction rules for OpenJDK so they
can run in parallel
- PR1829: Support AM_MAINTAINER_MODE
- PR1834, RH1022017: Report elliptic curves supported by NSS,
not the SunEC library
- PR1845: jstack.stp in OpenJDK8 is broken
- PR1869: Avoid x86 workaround when running Zero rather than a
JIT
- PR1889: Allow tarball checksumming to be disabled
- PR1935: HotSpot extraction needs to depend on the tarball
being downloaded
- PR1937: Add configure option for -Werror
- PR1938: Zero broken by enforced use of -Werror
- PR1942: Bug reports lack IcedTea version & distribution
packaging information
- PR1950: Add build support for Zero SH
- PR1965, G498288: Allow builds on PaX kernels
- PR1968: Move to new OpenJDK bug URL format
- PR1975: SystemTap probes for the garbage collector.
- PR1977: Support using the system installation of Zlib
- PR1979: Support using the system installation of libjpeg
- PR1980: Support using the system installation of giflib
- PR1981: Support using the system installation of libpng
- PR1983: Support using the system installation of NSS with the
SunEC provider
- PR1994: make dist broken
- PR2001: Synchronise HEAD tarball paths with release branch
paths
- PR2066: Unset OS before running OpenJDK build
- PR2095, RH1163501: 2048-bit DH upper bound too small for
Fedora infrastructure
- PR2126: Synchronise elliptic curves in
sun.security.ec.NamedCurve with those listed by NSS
- PR2127: SunEC provider crashes when built using system NSS
- PR2199: Support giflib 5.1.0
- PR2212: DGifCloseFile call should check the return value, not
the error code, for failure
- PR2227: giflib 5.1 conditional excludes 6.0, 7.0, etc.
- PR2237, RH1194378: ppc64le should report its os.arch as
ppc64le so tools can detect it
- PR2248: HotSpot tarball fails verification after download
- PR2256: Add SystemTap tests
- PR2257: clean-extract-nashorn rule is never run
- PR2321: Checksum of policy JAR files changes on every build
- PR2329: jamvm parallel unpack failures
- PR2339: Fail early if there is no native HotSpot JIT & all
other options are disabled
- PR2348: Avoid following symlinks for CACAO and JamVM patches
- PR2351: Split CACAO rule into configure and make stages
- PR2352: Split JamVM rule into configure, make and make install
stages
- PR2358: Add aliases for all stamp targets
- PR2362: Update HACKING & fsg.sh.in
- PR2363: Remove EC source code prior to build
- PR2369: SunEC provider is partially installed
- PR2377: PaX mark the installed JDK so it runs on hardened
systems
- PR2383: Location of docs directory in install-data-local is
incorrect
- PR2392: Make elliptic curve removal optional
- PR2400, RH1206656: Zero JVM crashes on startup when built with
GCC 5
- PR2407: Fix automatic enabling of the Zero build on non-JIT
architectures which don't use CACAO or JamVM
- PR2408: Enable Zero when Shark is enabled
- PR2409: Update Zero macro to match one in IcedTea 2.x
- PR2410: Support PPC64 JIT on ppc64le
- PR2411: Fix references to hotspot.map following PR2001
- PR2413: OpenJDK doesn't auto-select Zero on architectures
where no server JVM is available
- PR2414: CFLAGS, CXXFLAGS and LDFLAGS should be passed to
OpenJDK build
- PR2415: JVM -Xmx requirement is too high on s390
- PR2428: OpenJDK build can't handle commas in LDFLAGS
- PR2429: OpenJDK build does not copy a symlinked cacerts file
- PR2432: ppc64 JIT doesn't support class data sharing
- PR2433: ppc64le does not support -Xshare:dump
- PR2434: SystemTap support is no longer optional
- PR2439: NSS PKCS11 regression - due to java.security automatic
loading
- PR2443: install stage fails where
BUILD_ARCH_DIR != INSTALL_ARCH_DIR
- PR2447: Allow greater control of Javadoc installation
directory
- PR2448: Install TRADEMARK, COPYING and ChangeLog as RPM spec
file does
- PR2454: install-data-local needs to check that classes.jsa
actually exists
- PR2456: Installation path for hotspot_gc.stp is wrong, due to
changed j2sdk-image location
- PR2459: Policy JAR files should be timestamped with the date
of the policy file they hold
- PR2511: Reset success following calls in LayoutManager.cpp
- PR2541: Allow the user to specify the cacerts file to use
- PR2544: Desktop files do not allow installation from multiple
versions of IcedTea
- PR2547: Extend tarball checksumming option to allow the
checksum to be specified
- PR2631: jvm.cfg missing for ppc64le
- PR2633: s390 builds still fail as BUILD_NUM_BITS is never set
- PR2675: Update ppc64le autotools infrastructure following
PR2237
- PR2691, G564746: ./configure is unable to compile using distcc
for icedtea-3.0.0_pre06
- PR2737: Allow multiple PKCS11 library initialisation to be a
non-critical error.
- PR2738: java.lang.UnsatisfiedLinkError: no javalcms in
java.library.path
- PR2743: Remove bad AArch64 merge fragment
- PR2759: LCMS library should be named javalcms, not lcms, to
avoid potential conflicts with the system library
- PR2766: Remove all references to GCJ
- PR2767: Remove remaining rogue binaries from OpenJDK tree
- PR2768: Move SystemTap GCC 4.5 patch to OpenJDK tree or
discard if no longer needed
- PR2777: Fix MAX/MIN template usage on s390
- PR2804: test/tapset/jstaptest.pl should be executable
- PR2815: Race condition in SunEC provider with system NSS
- PR2825: Placement of -lfreebl matters when using bfd linker
- PR2826: Provide option to disable SystemTap tests
- PR2841: Parallelism issues resulting from PR2459
- PR2863: IcedTea doesn't pass through build and host triplets
to OpenJDK's configure
- PR2865: Handle uninstallation.
- PR2869: Revert CRC fix (S8000650) backported as part of PR2462
- PR2873: Fix make distcheck.
- PR2880: Add missing test directory in make check.
- PR2885: Location of 'stap' executable is hard-coded
- PR2888: OpenJDK should check for system cacerts database (e.g.
/etc/pki/java/cacerts)
- PR2899: Don't use WithSeed versions of NSS functions as they
don't fully process the seed
- PR2906: Support prefixed variants of GNU tools used on *BSD
systems
- PR2907: Replace --with-abs-install-dir with usual --prefix
- PR2917: Don't pass --with-cacerts-file to build if
USE_ALT_CACERTS_FILE is not set
- PR2918: Makefile handles cacerts as a symlink, but the
configure check doesn't
- PR2920: PaX marking fails on filesystems which don't support
extended attributes
- PR2921: Uninstallation of docs deletes too much
- Don't substitute 'j' for '-j' inside -I directives
- Extend 8041658 to all files in the HotSpot build.
- Remove jcheck
* AArch64 port
- PR1970: Imported from aarch64 jdk8 repository.
- PR2853: Fix build for aarch64/zero
- PR2853: Remaining miscellaneous synchronisation changes from
aarch64/jdk8u
- PR2853: Remove AArch64-specific code in generateOptoStub.cpp.
- PR2853: Remove some AArch64-specific code in share/.
- PR2853: Remove some unnecessary divergences from jdk8u.
- PR2853: Revert AArch64 jvm.cfg divergence
- PR2853: Revert changes to libpng source code now 8078245 is in
place.
- PR2922: Import latest AArch64 changes from aarch64-port/jdk8u
(aarch64-jdk8u77-b03)
- S8150652, PR2922: Remove unused code in AArch64 back end
* JamVM
- JSR 292: Invoke Dynamic
- JSR 308: Type Annotations
- JSR 335: Lambda Expressions
- JSR 901: VM support for method parameter reflection
- JEP 171: Implement fence methods in sun.misc.Unsafe
- sun.misc.Unsafe: additional methods get/putAddress.
- FreeClassData: adjust method count for Miranda methods
- Fix invokesuper check in invokespecial opcode
- Fix non-direct interpreter invokespecial super-class check
- When GC'ing a native method don't try to free code
- Do not free unprepared Miranda method code data
- Set anonymous class protection domain
- JVM_IsVMGeneratedMethodIx stub
- Dummy implementation of sun.misc.Perf natives
- JVM_NewMultiArray: element class may be an array
- jtreg test java/lang/reflect/Array/ExceedMaxDim
- OpenJDK: Fix Local/Anonymous class checks
- classlibMarkThreadTerminated should return Object*
- Fix race-condition in constant-pool resolution code
- JSR 292: MethodHandle constant-pool refs may be resolved
- JSR 292: bootstrap method args error handling
- JSR 308: update to match OpenJDK changes
- JSR 292: correct intrinsic cache COMPARE function
- Race condition in setting up imethod table
- GC: Minor performance improvement
- PR2034: --enable-jamvm builds broken, missing
JVM_GetTemporaryDirectory impl
- PR2336: JamVM lacks JVM_FindClassFromCaller
- PR2523: Add executable stack markings to callNative.S on JamVM
- PR2775: JamVM lacks JVM_GetResourceLookupCacheURLs introduced
by jdk8u40
* CACAO
- PR1277: Synchronise CACAO rules between IcedTea6/7/8 where
possible
- PR1279: Synchronise CACAO versions between IcedTea6/7/8 where
possible
- PR2035: --enable-cacao builds broken, missing
JVM_GetTemporaryDirectory impl.
- PR2330, CA172, G453612: Add ARM hardfloat support to CACAO on
Gentoo
- PR2331: IcedTea8 fails to build with IcedTea7 CACAO due to low
max heap size
- PR2335: CACAO lacks JVM_FindClassFromCaller
- PR2347: Fix CACAO patches to apply again
- PR2349: 'struct jvm_version_info' has no member named
'is_kernel_jvm'
- PR2350: Update to latest CACAO
- PR2354: stamps/cacao.stamp tries to touch a file in a
directory which doesn't exist
- PR2355: CACAO build fails to use JRE layout
- PR2776: CACAO lacks JVM_GetResourceLookupCacheURLs introduced
by jdk8u40
- PR2832, CA195: typeinfo.cpp: typeinfo_merge_nonarrays:
Assertion `dest && result && x.any && y.any' failed
- PR2908: Add missing functions for CACAO OpenJDK JVM
implementation
- PR2909: Install CACAO in same way as JamVM
- PR2910: Add rudimentary support for OpenJDK 8 class files to
CACAO
- PR2916: Update CACAO drop to use the latest from cacao-staging
- Removed patches:
* PStack-808293.patch
* aarch64-misc.patch
* disable-doclint-by-default.patch
* include-all-srcs.patch
* link-with-as-needed.patch
* memory-limits.patch
* multiple-pkcs11-library-init.patch
* ppc64le-8036767.patch
* s390-java-opts.patch
* s390-size_t.patch
* system-lcms.patch
* system-libjpeg.patch
* system-libpng.patch
* zero-dummy.patch
- Fixed upstream
- Added patches:
* icedtea-3.0.1-sunec.patch
- Adapt the nss detection to SUSE packaging of mozilla-nss
* java-1_8_0-openjdk-suse-desktop-files.patch
- Adapt the desktop files for SUSE needs
- Modified patches:
* 1015432.patch
* adlc-parser.patch
* compare-pointer-with-literal.patch
* implicit-pointer-decl.patch
* java-atk-wrapper-security.patch
* ppc-zero-hotspot.patch
* zero-javadoc-verbose.patch
- Adapt to new directory structure

==== kaccounts-integration ====
Version update (16.04.1 -> 16.04.2)

- Split out libkaccounts1 per shared library packaing policy:
+ Recommend the main package from libkaccounts1.
+ Require libkaccounts1 instead of the main package by -devel.
+ Move the /sbin/ldconfig post/postun scriptlets from the main
package to libkaccounts1.
- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kaccounts-providers ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php
- Require signon-plugin-oauth2, creating a Google account doesn't
work without it (boo#953175)

==== kalarmcal ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kamera ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kate ====
Version update (16.04.1 -> 16.04.2)
Subpackages: kate-plugins kwrite

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kcalc ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kcalcore ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kcalutils ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5CalendarUtils5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kcharselect ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kcolorchooser ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kcontacts ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdebase4 ====
Version update (16.04.1 -> 16.04.2)
Subpackages: kdebase4-libkonq kdebase4-nsplugin kdepasswd kdialog
keditbookmarks konqueror konqueror-plugins libkonq-devel libkonq5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdebase4-runtime ====
Version update (16.04.1 -> 16.04.2)

- Use shared-mime-info macros (boo#979301)
- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdebindings-smokekde ====
Subpackages: libsmokekde-devel libsmokekde3

- Use CMAKE_CXX_STANDARD=98 to fix build with gcc6 (boo#985250)
- Drop the buildrequires on kdepimlibs4. This make no sense anymore
as that we switched to KDEPIM5 and we are going to drop most of
the bindings anyway.

==== kdebindings-smokeqt ====
Subpackages: libsmokeqt libsmokeqt-devel

- Use CMAKE_CXX_STANDARD=98 to fix build with gcc6 (boo#985059)

==== kdelibs4 ====
Version update (4.14.19 -> 4.14.21)
Subpackages: kdelibs4-core kdelibs4-doc libkde4 libkde4-devel libkdecore4
libkdecore4-devel libksuseinstall1

- Use shared-mime-info macros (boo#979301)
- Update to 4.14.21
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdenetwork4-filesharing ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdepim ====
Version update (16.04.1 -> 16.04.2)
Subpackages: akonadi_resources akregator5 kaddressbook5 kalarm5 kmail5 knotes5
kontact5 korganizer5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdepim-addons ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdepim-apps-libs ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdepim-runtime ====
Version update (16.04.1 -> 16.04.2)

- Use shared-mime-info macros (boo#979301)
- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdepimlibs ====
Version update (16.04.1 -> 16.04.2)
Subpackages: akonadi-contact kio-pimlibs libKF5AkonadiContact5
libKF5AkonadiMime5 libKF5AkonadiNotes5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdgantt2 ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5KDGantt2-5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kdnssd ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kexec-tools ====
Version update (2.0.10 -> 2.0.12)

- Update to version 2.0.12 (FATE#320915, bsc#980545)
Changelog:
http://git.kernel.org/cgit/utils/kernel/kexec/kexec-tools.git/log/?id=refs/tags/v2.0.10..v2.0.12
Drop following patches (upstream):
kexec-tools-load-crash-kernel-high.patch
- Fix pkg-config to check >= 4.7 rather than > 4.6 for xenlight
- Specifically name Files in specfile rather than using glob.
- Adjust linking to libxenctrl to xen-4.7 API

==== kget ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kgpg ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kholidays ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kidentitymanagement ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kimap ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kio-extras5 ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kio_audiocd ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kldap ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kleopatra5 ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kmag ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kmailtransport ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kmbox ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kmime ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kmousetool ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kompare ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== konsole ====
Version update (16.04.1 -> 16.04.2)
Subpackages: konsole-part

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kontactinterface ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kopete ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php
- Drop upstream patch gcc6.patch (Included upstream)

==== kpimtextedit ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kqtquickcharts ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== krdc ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== krename ====

- Add gcc6-fix.patch to fix build with gcc6 (boo#985366)

==== krfb ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kruler ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktnef ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-accounts-kcm ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libktpaccountskcminternal9

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-approver ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-auth-handler ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-common-internals ====
Version update (16.04.1 -> 16.04.2)
Subpackages: ktp-icons

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-contact-list ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-contact-runner ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-desktop-applets ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-filetransfer-handler ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-kded-module ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-send-file ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== ktp-text-ui ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== kwalletmanager5 ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libappindicator ====
Subpackages: libappindicator3-1 typelib-1_0-AppIndicator3-0_1

- Little spec cleanup.

==== libgcj-gcc6 ====
Version update (5.3.1+r234891 -> 6.1.1+r236988)

- Update disk-space _constraints, add libgcj-gcc6 _constraints similar
to gcc6-testresults as that one is also building libjava.
- Update to gcc-6-branch head (r236988).
- Enable profiledbootstrap for AARCH64.
- Add gcc6-disable-aarch64-tsan.patch to disable TSAN on aarch64 because
libtsan0 is not installable.
- Fix HSA build conditional for crosses.
- Update to gcc-6-branch head (r235696).
* Fixes libgcj_bc1 version check issue.
- Update to GCC 6.1.0 release (r235473).
* Includes fix for python3 miscompile [bnc#976024]
- Enable profiledbootstrap, but not if building libjava where also
disable bootstrap
- Add gcc6-hsa-enablement.patch and enable HSA offloading target.
- Update to SVN trunk head (r234970).
- Enable Ada on ppc64le and aarch64.
- Update to SVN trunk head (r234449).
- Do not build libffi packages for now.
- Adds support for %disable_32bit.
- Build with release checking.
- Enable cross compiler builds.
- Update to SVN trunk head (r234106).
* Bumps libgo SO version to 9
* Bumps libffi SO version to 7
- Refresh gcc44-rename-info-files.patch
- New package, inherits from gcc5
* gcc-dir-version.patch, drop patchlevel from install directory names
* gcc-add-defaultsspec.diff, add the ability to provide a specs file
that is read by default
* libjava-no-multilib.diff, do not build multilibs for libjava even on
multilib systems (we use baselibs for it)
* tls-no-direct.diff, avoid direct %fs references on x86 to not slow down
Xen
* gcc43-no-unwind-tables.diff, do not produce unwind tables for CRT files
* gcc41-java-slow_pthread_self.patch, force us to assume pthread_self
is fast
* gcc41-ppc32-retaddr.patch, fix expansion of __builtin_return_addr for ppc
* gcc44-textdomain.patch, make translation files version specific and
adjust textdomain to find them
* gcc44-rename-info-files.patch, fix cross-references in info files when
renaming them to be version specific
* gcc48-libstdc++-api-reference.patch, fix link in the installed libstdc++
html documentation
* gcc48-remove-mpfr-2.4.0-requirement.patch, make GCC work with earlier
mpfr versions on old products
* gcc5-libsanitize-aarch64-va42.patch, make address sanitizer work with 42bit
address space on aarch64
* gcc5-no-return-gcc43-workaround.patch, make build work with host gcc 4.3
- Drops
* Wunprototyped-calls.diff because -std=gnu11 is default now.
* gcc5-libgo-fix-certificates-lookup.patch, no longer applies and is only
required for SLE11

==== libgravatar ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5Gravatar5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libixion ====
Version update (0.11.0 -> 0.11.1)

- Version update to 0.11.1:
* Switch to mdds-1.2
* Few small fixes

==== libkcddb4 ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libkcddb4-devel

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkcompactdisc4 ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libkcompactdisc4-devel

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkdcraw ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5KDcraw5 libkdcraw-devel

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkdepim ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5Libkdepim5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkexiv2 ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5KExiv2-15_0_0 libkexiv2-devel

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkface ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5KFace10_0_0 libkface-devel

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkgeomap ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5KGeoMap10_0_0 libkgeomap-devel

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkipi ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5Kipi31_0_0 libkipi-data libkipi-devel

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkleo ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5Libkleo5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libkomparediff2 ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libksane ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5Sane5 libksane-devel

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== libksieve ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== liborcus ====
Version update (0.11.0 -> 0.11.2)

- Version update to 0.11.2:
* Fix build with mdds 1.2
* few small fixes
- Changes from version 0.11.1:
+ Fix for OSX build inside LibreOffice.
+ Boost.Filesystem is needed uncoditionally.

==== libpano ====

- Upgraded to version 2.9.19
* There are new Tpy and Tpr parameters
* Added Hammer output projection
* Updated PSD functions to write PSB (large file) format too
* Various bugs have been fixed in these projections: triplane output,
architectural output, orthographic output and Thoby input.
* Other bugfixes
- Add explicit BuildRequires on libjpeg-devel and zlib-devel
- libpano-devel should not require libtiff-devel, libjpeg-devel
or libtiff-devel as they are not needed for building or linking.
This may break packages with wrong buildrequires.
- Remove "la" files
- run spec cleaner
- add libtool as buildrequire to avoid implicit dependency
- Upgraded to version 2.9.18:
* fix build with libpng-1.5
* minor fixes
- Upgraded to version 2.9.17:
* minor fixes and improvements
* support for pkg-config
* new soname
- licenses package is about to die
- Updated to branch libpano13, version 2.9.14:
* ABI has changed since 2.9.12, new soname
* number of new input and output projections
* new command-line tool
* documentation, cleanups and bugfixes
- Fixed implicit declarations, invalid use of write() and invalid
format specification.
- Updated to branch libpano13, version 2.9.12:
* many new functions and improvements, see ChangeLog for more
* new utility PTmender, replacement of binary-only PTStitcher
* new branch does not support binary-only 1.2 applications
- Updated to version 2.8.6:
* Bug fixes.
- Split package according to shared library packaging policy.

==== libqt5-qtdeclarative ====
Subpackages: libQtQuick5 libqt5-qtdeclarative-devel libqt5-qtdeclarative-tools

- Add qtdeclarative-opensource-src-5.6.0-qml_no-lifetime-dse.patch
- Fix crashes with i686 and QML loader (boo#985768)

==== libreoffice ====
Version update (5.1.3.1 -> 5.2.0.0.beta2)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-calc-extensions
libreoffice-draw libreoffice-filters-optional libreoffice-gnome
libreoffice-icon-theme-breeze libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr libreoffice-icon-theme-tango libreoffice-impress
libreoffice-kde4 libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de
libreoffice-l10n-el libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-ru libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreoffice-writer-extensions libreofficekit

- Version update to 5.2.0.0.beta2:
* More bugfixes on road to 5.2 series
* missing-include.patch
- Add patch to fix build missing-include.patch
- Version update to 5.2.0.0.beta1:
* Disable support for sle11, not needed anymore
* Cleanup the specfile from all the compat conditionals per above
* Disable bundled help and point to upstream wiki always (speeds
up build quite a bit)
* Use pkgconfig style dependencies instead of the develpkgs
* Remove all the bundled tarballs that were aedded for sle11
* Adjust the constraints a bit to reflect reality
* Remove merged patches:
* scp2-user-config-suse.diff
* 0001-Make-HAVE_JAVA6-be-always-false.patch
* 0001-mdds-1.0.patch
* 0001-liborcus-0.11.patch
* 0002-boost-filesystem1.patch
* 0003-boost-filesystem2.patch
* bnc856729.patch
* bnc939998.patch
* bnc945443.patch
* bnc945445.patch
* Refresh patches:
* libreoffice-hotfix-disablebrokenshapetest.patch
* system-pyuno.diff
- fix bnc#939998 - LO-L3: PPT file shows wrong titles
* bnc939998.patch
- fix bnc#945443 - LO-L3: Undo ignores vertical alignment
* bnc945443.patch
- fix bnc#945445 - LO-L3: Undo does not revert changes of table separation
lines
* bnc945445.patch
- Version update to 5.1.3.2: few small tweaks for the .3.1 release
* fate#320521
- Refresh patches:
* 0001-liborcus-0.11.patch
- Split out gtk3 again but this time install it on openSUSE and
avoid it on SLE12

==== libvirt ====
Version update (1.3.4 -> 1.3.5)
Subpackages: libvirt-client libvirt-daemon libvirt-daemon-config-network
libvirt-daemon-config-nwfilter libvirt-daemon-driver-interface
libvirt-daemon-driver-libxl libvirt-daemon-driver-lxc
libvirt-daemon-driver-network libvirt-daemon-driver-nodedev
libvirt-daemon-driver-nwfilter libvirt-daemon-driver-qemu
libvirt-daemon-driver-secret libvirt-daemon-driver-storage
libvirt-daemon-driver-uml libvirt-daemon-driver-vbox libvirt-daemon-lxc
libvirt-daemon-qemu libvirt-daemon-xen

- xenconfig: fix conversion of <driver> to backendtype
e33cd67a-xenconfig-backendtype-fix.patch
bsc#984798
- Advertise aarch64 UEFI firmware paths
- adjust spec file to include aarch64 paths in
'--with-loader-nvram=' configure option
- adjust qemu.conf 'nvram' option to include the SUSE paths
bsc#981836, bsc#983747
- apparmor: Don't scrub environment of virtlogd process
apparmor-dont-scrub-environment-of-virtlogd-process.patch
boo#980441
- Update to libvirt 1.3.5
- Many incremental improvements and bug fixes, see
http://libvirt.org/news.html
- Dropped patches:
e4d131b8-mv-virDomainDefPostParseInternal.patch,
3e428670-post-parse-implicit-video.patch,
538012c8-default-vram.patch, 96b21fb0-vram-tests.patch,
400e716d-libxl-noprope-emulator.patch,
b90c4b5f-tests-use-qemu-xen.patch,
fccf2725-libxl-API-4.4.patch,
5325123d-libxl-migv2-save-restore.patch,
f9edcfa4-libxl-migv2-migration.patch,
a1c9a81a-libxl-rbd-fix.patch,
ba566428-libxl-dom-iface-addrs.patch
- spec: simplify and cleanup by removing many conditionals that
are never toogled. Also drop conditionals for suse_version <
1310

==== libvirt-python ====
Version update (1.3.4 -> 1.3.5)

- Update to 1.3.5
- Add all new APIs and constants in libvirt 1.3.5

==== libxslt ====
Version update (1.1.28 -> 1.1.29)
Subpackages: libxslt-devel libxslt-tools libxslt1 libxslt1-32bit

- Update to 1.1.29:
* new release after 4 years with few bugfies all around
- Refresh patch 0009-Make-generate-id-deterministic.patch to apply
- Remove cve patch that was integrated upstream:
libxslt-1.1.28-type_confusion_preprocess_attr.patch
- Unpack the manpage as the compression is set by buildbot not always gz

==== libxslt-python ====
Version update (1.1.28 -> 1.1.29)

- Version update to 1.1.29 to match libxslt main package
- Sort out with spec-cleaner
- BuildIgnore python to avoid cycles
- Run tests and do not install them as docs

==== mailcommon ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5MailCommon5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== mailimporter ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== marble ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libastro-qt5-1 libmarblewidget-qt5-24 marble-data marble-devel
marble-doc marble-kde

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== messagelib ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== mobipocket ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== mutt ====

- Update to neomutt 20160611
- Temporarily disable $sidebar_refresh_time
Unfortunately, this was causing too many problems.
It will be fixed and re-enabled as soon as possible.
- Fix several crashes, on startup, in Keywords
- Reflow text now works as it should
- Lots of typos fixed
- Compress config bug prevented it working
- Some minor bug-fixes from mutt/default
- Single quote at line beginning misinterpreted by groff
- Setting $sidebar_width to more than 128 would cause bad things to happen.
- Fix alignment in the compose menu.
- Fix sidebar buffy stats updating on mailbox close.
- Modify patch mutt-1.6.1.dif, that is skip upstream of neo as now
part of neo
- Adopt patches COLS-workaround.dif, aw.listreply.diff,
bug-676388-largefile.patch, mutt-1.5.21-tinfo.dif,
mutt-1.6.1-opennfs.dif, and patch-1.5.24.vk.pgp_verbose_mime

==== notmuch ====
Version update (0.20.2 -> 0.22)

- version 0.22
- Xapian 1.3 support
- Limited support for S/MIME messages
- Fix for threading bug involving deleting and re-adding messages.
- Fix for case-sensitive content disposition headers.
- Fix handling of 1 character directory names at top level.
- Emacs: Notmuch replies now include all parts shown in the show view
- Emacs: Filtering or Limiting messages is now bound to `l` in the
search view
- Emacs: `F` forwards all open messages in a thread
- Emacs: Preferred content type can be determined from the message
content
- version 0.21
- Notmuch now requires gmime >= 2.6.7. The gmime 2.4 series is no
longer supported.
- Database revision tracking: `lastmod:` queries
- Date queries now support `date:<expr>..!` shorthand for
`date:<expr>..<expr>`
- Notmuch database upgrade to support `lastmod:` queries
- The `notmuch address` command supports new deduplication schemes
- version 0.20.2
- Emacs: Bug fix for marking messages read in notmuch-tree mode
- version 0.20.1
- test suite fixes
- version 0.20
- There is a new mimetype: search prefix
- Path to gpg is now configurable
- Notmuch-Mutt: Support messages without Message-IDs.
- Undeprecate single message mboxes
- Contrib: notmuch-deliver is removed
- Improved notmuch-search-terms.7
- workaround a source checker issue by moving bcond macros behind
Name and Version tag
- readd the signature file and update keyring
- spec updates
- remove gpg checks (broken) and the related files
- define lib version
- version 0.19
- Stopped notmuch dump failing if someone writes to the database
- notmuch insert requires succesful message indexing for success status
- notmuch insert has gained support for post-insert hook
- notmuch deliver is deprecated
- notmuch search now supports --duplicate=N option with --output=messages
- Added notmuch address subcommand
- versions 0.18.1, 0.18.2
- This is a bug fix and portability release
- Resurrect support for single-message mbox files
- version 0.18
- The folder: search prefix now requires an exact match
- There is a new path: search prefix
- Notmuch database upgrade due to folder: and path: changes
- Support for indexing mbox files has been dropped
- notmuch dump now defaults to batch-tag format
- notmuch new has a --quiet option
- notmuch insert respects maildir.synchronize_flags config option
- version 0.17
- Incompatible change in SHA1 computation
- New options to better support handling duplicate messages
- Improved notmuch new performance for unchanged folders
- notmuch reply --format=text RFC 2047-encodes headers
- notmuch compact command
- emacs interface:
- notmuch-tree (formerly notmuch-pick) has been added to mainline
- The notmuch-tag function now requires a list of tag changes
- Fixed notmuch-reply putting reply in primary selection
- Fixed notmuch-mua-reply point placement when signature involved
- version 0.16
- Support for delivering messages to Maildir
- notmuch count --batch option
- notmuch tag option to remove all tags from matching messages
- Decrypting commands explicitly expect a gpg-agent
- Bash command-line completion
- many emacs interface updates
- remove zsh completion, it's part of zsh itself
- drop contrib from installed files
- install zsh to correct location
- instal notmuch.el as notmuch-emacs package like Debian do
- initial packaging of notmuch 0.15.2 for SUSE
* including python/python3 bindings
* and notmuchmail (the original emacs lisp based
email client for notmuch library)

==== okular ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== openbabel ====
Version update (2.3.1 -> 2.3.2)
Subpackages: libopenbabel-devel libopenbabel4

- openbabel-gcc6.patch: remove obsolete hunk
- Fix errors seen by 02-check-gcc-output script.
- Version update to 2.3.2 and cripple the tarball
* various small bugfixes, the git is far away from this but
upstream seems not to do releases
* Add patch to properly install bindings to right location:
+ python-installdir.patch
- Add patch to build with gcc6 openbabel-gcc6.patch

==== opencv ====
Subpackages: libopencv3_1 opencv-devel

- In case we build using GCC6 (or newer), add -mlra to CFLAGS to
workaround gcc bug
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71294.
- Apply upstream patch opencv-gcc6-disable-pch.patch to disable
PCH for GCC6.

==== opencv-qt5 ====

- In case we build using GCC6 (or newer), add -mlra to CFLAGS to
workaround gcc bug
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=71294.
- Apply upstream patch opencv-gcc6-disable-pch.patch to disable
PCH for GCC6.

==== perl-CGI ====
Version update (4.21 -> 4.30)

- updated to 4.30
see /usr/share/doc/packages/perl-CGI/Changes
4.30 2016-06-08
[ FEATURES ]
- Add SameSite support to Cookie handling (thanks to pangyre)
[ INTERNALS ]
- The MultipartBuffer package has been renamed to CGI::MultipartBuffer.
This has been done in a way to ensure any $MultipartBuffer package
variables are still set correctly in CGI::MultipartBuffer. if you are
explicitly using MultipartBuffer in a form such as:
MultipartBuffer->new
your code will break. you should be calling:
CGI->new->new_MultipartBuffer( $boundary,$length );
to ensure the correctly package is called. if you are extending the
MultipartBuffer package though use of ISA or base (or parent) then you
will need to update your code to use CGI::MultipartBuffer
- fake using strict and warnings to appease CPANTS Kwalitee
4.28 2016-03-14
[ RELEASE NOTES ]
- please see v4.21 Changes for any potentially impacting changes
[ SPEC / BUG FIXES ]
- undef %QUERY_PARAM in initialize_globals to clean mod_perl env
[ TESTING ]
- improve test coverage on request types (GH #199, GH #200)
- improve test coverage on CGI::Carp
4.27 2016-03-02
[ RELEASE NOTES ]
- please see v4.21 Changes for any potentially impacting changes
[ INTERNALS ]
- fix a couple of warnings in test harness
- add taint flag to example file_upload
- fix a warnings in STORE subroutine
4.26 2016-02-04
[ RELEASE NOTES ]
- please see v4.21 Changes for any potentially impacting changes
[ SPEC / BUG FIXES ]
- sort HTML attributes by default (GH #106, GH #196)
[ DOCUMENTATION ]
- clarifications about HTML function non removal
4.25 2015-12-17
[ RELEASE NOTES ]
- please see v4.21 Changes for any potentially impacting changes
[ DOCUMENTATION ]
- fix link to CONTRIBUTING file (thanks to Manwar for the fix)
- clarify that "soft" deprecation means that the HTML functions
are deprecated but will not raise any deprecation warnings
[ SPEC / BUG FIXES ]
- make the list context warning only happen once per process (or
thread) to prevent excessive log noise in long running or in
persistent processes (thanks to @dadamail for the suggestion)
4.23 2015-12-17
[ RELEASE NOTES ]
- Documentation fixes only - please see v4.21 Changes for any potentially
impacting changes
[ DOCUMENTATION ]
- add LICENSE file and LICENSE info to Makefile.PL
4.22 2015-10-16
[ RELEASE NOTES ]
- Documentation fixes only - please see v4.21 Changes for any potentially
impacting changes
[ DOCUMENTATION ]
- fix typos in CONTRIBUTING file
- links to docs, stackoverflow and perlmonks
- clarify deprecation policy on HTML functions (GH #188)
- mention HTML::Tiny in CGI::HTML::Functions (thanks to osfameron for
the suggestion)

==== perl-DateTime-TimeZone ====
Version update (1.98 -> 2.00)

- updated to 2.00
see /usr/share/doc/packages/perl-DateTime-TimeZone/Changes
2.00 2016-06-07
- The fix in 1.99 broke the parsing of the etcetera zones, which are specified
as 1 or 2 digit offsets in hours, unlike all other zones which are written
as "1:00" or "-2:00".
1.99 2016-06-07
- When parsing the POSIX zones in the etcetera file, don't special case the
ETC[+-]NN zones. These are weirdly named, as ETC+8 is 8 hours _behind_ UTC,
and -6 is 6 hours _ahead_. Previously, we were swapping these so the name
matched the sane usage, but this is confusing for anyone who is explicitly
trying to use the POSIX names, expecting the bizarre (but POSIXly correct)
interpretation. Patch by Bron Gondwana. GitHub PR #7.

==== perl-Image-ExifTool ====
Version update (10.15 -> 10.20)
Subpackages: exiftool perl-File-RandomAccess

- Update to version 10.20 (changes since 10.15):
* Add %D, %F and %E filename format codes.
* Add a new Minolta lens.
* Decode Photoshop Compression mode.
* Decode Nikon MultiExposure information for the D5.
* Update decoding of Sony tags for ILCA-68.
* Fix bug adding back XMP tags after deleting all XMP from
MOV/MP4 files.
* Fix problem using -o option when reading from stdin (ie. FILE
is "-").
* Fix problem where user-defined Composite tags may not always
override pre-defined Composite tags with the same name, and
added feature to allow the user to specify whether they should
override existing tags or not.
* Add support for Leica X-U (Typ 113) maker notes.
* Add a new Pentax LensType.
* Add a number of new Sony lenses.
* Add a new Canon LensType.
* Extract TIFF-format thumbnails and previews.
* Patch to ignore XML entities inside comments.
* Fix inconsistent conversion of PreviewColorSpace values.
* Fix writing of TargetPrinter tag.
* Fix bug introduced in 10.16 which which could cause a runtime
warning when using the -o option and not writing any "real"
tags.
* Add a number of new Sigma LensTypes.
* Add a few new Sony/Minolta lenses.
* Add ability to write FilePermissions.
* Decode NikonCustom settings for the D500.
* Decode PLUS MediaSummaryCode values.
* Use hexadecimal for Sigma LensType values.
* Change -fileOrder option to sort numbers in strings numerically.
* Fix typo in Samsung lens name.
* Add a few new Sony and Sigma LensType values.
* Decode more Nikon tags.
* Fix an incorrect Sigma LensType.
* Fix decoding of D500 custom settings for NEF images.
* Add a few new Sigma LensTypes.
* Add a new Sony LensType.
* Add two new Canon LensTypes.
* Add a couple of new PentaxModelID's.
* Add a new Pentax LensType.
* Add a few new Olympus PictureMode values.
* Add a few more XMP tags.
* Decode a new Nikon video tag.
* Patch to allow protected binary data tags to be extracted when
- b is combined with -php or -X if the tag is specifically
requested.
* Fix bug introduced in version 9.96 where extended XMP is
ignored if the MWG module is used
* Fix problem where the MWG module wasn't loaded automatically
if there were MWG tags in the argument to the -p option.
* Fix column alignment of alternate-language output (requires
Unicode::GCString to be installed).
* Fix problem writing Sigma:LensFocalRange.

==== perl-Moose ====
Version update (2.1802 -> 2.1804)

- updated to 2.1804
see /usr/share/doc/packages/perl-Moose/Changes
2.1804 2016-06-02
[OTHER]
- restrict Type::Tiny test to versions new enough to support native traits.
- restrict recipe test to perls where Regexp::Common is installable
2.1803 2016-05-31
[BUG FIXES]
- fixed type compatibility with Type::Tiny that was partially lost in
2.1802.

==== perl-SOAP-Lite ====
Version update (1.19 -> 1.20)

- updated to 1.20
see /usr/share/doc/packages/perl-SOAP-Lite/Changes
1.20 June 9, 2016
! Minor kwalitee updates (@oeuftete)
! #106688 encode utf8 content in test which fails under RHES 6.6

==== perl-qt4 ====
Subpackages: perl-qt4-devel

- Added gcc6-fix.patch to fix build with gcc6 (boo#985188, kde#360844)

==== pimcommon ====
Version update (16.04.1 -> 16.04.2)
Subpackages: libKF5PimCommon5

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== presage ====
Subpackages: libpresage1 presage-data

- Request wx3 for building so we can move off wx2.8
- add patch: presage-0.9.1-doxygen-no-freesans.patch
* doxygen no longer ships with the FreeSans font
* used to suppress the annoying fontconfig output
- add BuildRequires ghostscript-fonts-std providing Helvetica,
default for doxygen, which is also smaller in size than
texlive-gnu-freefont-fonts that provides FreeSans
- add patch: presage-0.9.1-gcc6.patch
* fix boo#985362
* fix narrowing conversion from int to char inside {}

==== python-dnspython ====
Version update (1.12.0 -> 1.14.0)

- New upstream release 1.14.0
- New upstream release 1.13.0

==== python3-gst ====
Version update (1.8.1 -> 1.8.2)

- Update to version 1.8.2:
+ No changes, version bump only.

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-ssh qemu-extra qemu-ipxe qemu-ksm qemu-kvm
qemu-lang qemu-ppc qemu-s390 qemu-seabios qemu-sgabios qemu-tools qemu-vgabios
qemu-x86

- Fix host information leak to guest in MegaRAID SAS 8708EM2 Host
Bus AdapterMegaRAID SAS 8708EM2 Host Bus Adapter emulation support
(CVE-2016-5105 bsc#982017)
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
0061-scsi-megasas-initialise-local-confi.patch
- Address various security/stability issues
* Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Fix OOB access in megasas emulated device (CVE-2016-5106 bsc#982018)
0049-scsi-megasas-use-appropriate-proper.patch
* Fix OOB access in megasas emulated device (CVE-2016-5107 bsc#982019)
0050-scsi-megasas-check-read_queue_head-.patch
* Fix OOB access in megasas emulated device (CVE-2016-5337 bsc#983961)
0051-scsi-megasas-null-terminate-bios-ve.patch
* Correct the vmvga fifo access checks (CVE-2016-4454 bsc#982222)
0052-vmsvga-move-fifo-sanity-checks-to-v.patch
* Fix potential DoS issue in vmvga processing (CVE-2016-4453 bsc#982223)
0053-vmsvga-don-t-process-more-than-1024.patch
* Fix heap buffer overflow flaw when iscsi protocol is used
(CVE-2016-5126 bsc#982285)
0054-block-iscsi-avoid-potential-overflo.patch
* Fix OOB access in 53C9X emulation (CVE-2016-5338 bsc#983982)
0055-scsi-esp-check-TI-buffer-index-befo.patch
- Add support to qemu for pv-usb under Xen (fate#316612)
0056-xen-introduce-dummy-system-device.patch
0057-xen-write-information-about-support.patch
0058-xen-add-pvUSB-backend.patch
0059-usb-Fix-conditions-that-xen-usb.c-i.patch
- Provide ability to rate limit keyboard events from the vnc server.
This is part of the solution to an issue affecting openQA testing,
where characters are lost, resulting in unexpected failures
(bsc#974914)
0060-vnc-add-configurable-keyboard-delay.patch

==== qemu-linux-user ====

- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Patches added:
0061-scsi-megasas-initialise-local-confi.patch
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.6
* Patches added:
0049-scsi-megasas-use-appropriate-proper.patch
0050-scsi-megasas-check-read_queue_head-.patch
0051-scsi-megasas-null-terminate-bios-ve.patch
0052-vmsvga-move-fifo-sanity-checks-to-v.patch
0053-vmsvga-don-t-process-more-than-1024.patch
0054-block-iscsi-avoid-potential-overflo.patch
0055-scsi-esp-check-TI-buffer-index-befo.patch
0056-xen-introduce-dummy-system-device.patch
0057-xen-write-information-about-support.patch
0058-xen-add-pvUSB-backend.patch
0059-usb-Fix-conditions-that-xen-usb.c-i.patch
0060-vnc-add-configurable-keyboard-delay.patch

==== signon-kwallet-extension ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== spectacle ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== spice-vdagent ====

- fate#320079

==== sweeper ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== syndication ====
Version update (16.04.1 -> 16.04.2)

- Update to KDE Applications 16.04.2
* KDE Applications 16.04.2
* https://www.kde.org/announcements/announce-applications-16.04.2.php

==== sysdig ====
Version update (0.9.0_k4.6.2_1 -> 0.10.0_k4.6.2_1)

- Update to version 0.10.0:
* setsid event
* proc.sid filter field: the session id of the process
generating the event
* proc.sname filter field: the name of the current process
session leader
* --force-term-compat command line option: try to configure
simple terminal
* settings (xterm-1002) that work better with terminals like
putty
* Many minor bugfixes
* builds with gcc6 (boo#985121)
- Use pkgconfig() style dependencies
- Build with lua-5.1 as builds fail with lua-5.2 and later

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- boo#981836 - virt-manager does not support all boot methods for
AArch64
5ecc2b44-dont-clear-recommended-machine-if-none-is-selected.patch
de9cd87f-return-recommended-machine-for-XEN.patch
0acdea1d-show-firmware-options-also-for-XEN-guests.patch
- bsc#983241 - Using eepro1000 emulated driver leads to 'eepro100'
is not a valid device model name
Drop virtman-eepro100.patch
- Remove unecessary hyphen '-' from tumbleweed name
virtinst-fix-tumbleweed-detection.patch
- boo#983482: Virt-Manager 1.3.2 cannot create screenshot.
Use upstream patch from revision f454798b337aedb881671f62fe3b25fad703b768
- Add f454798b-virtman-fix-making-screenshot.patch

==== virt-viewer ====

- bsc#982793 - virt-viewer installation create unusable launcher
virtview-desktop.patch
- bsc#979735 - Virt-viewer: Changing zoom on disconnected machine
crashes application
fix-crash-on-zoom-change.patch
- Require at least glib2 >= 2.26 in pre-SLE12 builds

==== vm-install ====
Version update (0.8.53 -> 0.8.54)

- bsc#984189 - vm-install: add updated language files
- Version 0.8.54

==== wine ====
Version update (1.9.11 -> 1.9.12)
Subpackages: wine-32bit

- Updated to 1.9.12 development snapshot
- Bug fix update of the Mono engine.
- Initial version of a taskbar in desktop mode.
- Fixes for right-to-left languages in Uniscribe.
- More Shader Model 4 support in Direct3D.
- Better metafile support in RichEdit.
- Various bug fixes.
- updated winetricks

==== wireshark ====
Version update (2.0.3 -> 2.0.4)

- Wireshark 2.0.4 (boo#983671)
This release fixes a number issues in protocol dissectors that
could have allowed a remote attacker to crash Wireshark or cause
excessive CPU usage through specially crafted packages inserted
into the network or a capture file.
* The SPOOLS dissector could go into an infinite loop
wnpa-sec-2016-29 CVE-2016-5350
* The IEEE 802.11 dissector could crash
wnpa-sec-2016-30 CVE-2016-5351
* The IEEE 802.11 dissector could crash
wnpa-sec-2016-31 CVE-2016-5352
* The UMTS FP dissector could crash
wnpa-sec-2016-32 CVE-2016-5353
* Some USB dissectors could crash
wnpa-sec-2016-33 CVE-2016-5354
* The Toshiba file parser could crash
wnpa-sec-2016-34 CVE-2016-5355
* The CoSine file parser could crash
wnpa-sec-2016-35 CVE-2016-5356
* The NetScreen file parser could crash
wnpa-sec-2016-36 CVE-2016-5357
* The Ethernet dissector could crash
wnpa-sec-2016-37 CVE-2016-5358

==== xen ====
Version update (4.6.1_01 -> 4.7.0_06)
Subpackages: xen-doc-html xen-libs xen-tools xen-tools-domU

- bsc#983984 - VUL-0: CVE-2016-5338: xen: qemu: scsi: esp: OOB r/w
access while processing ESP_FIFO
CVE-2016-5338-qemut-scsi-esp-OOB-rw-access-while-processing-ESP_FIFO.patch
- bsc#982960 - VUL-0: CVE-2016-5238: xen: qemu: scsi: esp: OOB
write when using non-DMA mode in get_cmd

CVE-2016-5238-qemut-scsi-esp-OOB-write-when-using-non-DMA-mode-in-get_cmd.patch
- fate#319989 - Update to Xen 4.7 RC5
xen-4.7.0-testing-src.tar.bz2
- fate#319989 - Update to Xen 4.7 RC4
xen-4.7.0-testing-src.tar.bz2
- Dropped
xen.pkgconfig-4.7.patch
xsa164.patch
- bsc#981264 - VUL-0: CVE-2014-3672: xen: Unrestricted qemu logging
(XSA-180)
CVE-2014-3672-qemut-xsa180.patch
- bsc#980724 - VUL-0: CVE-2016-4441: Qemu: scsi: esp: OOB write
while writing to 's->cmdbuf' in get_cmd

CVE-2016-4441-qemut-scsi-esp-OOB-write-while-writing-to-cmdbuf-in-get_cmd.patch
- bsc#980716 - VUL-0: CVE-2016-4439: xen: scsi: esp: OOB write
while writing to 's->cmdbuf' in esp_reg_write

CVE-2016-4439-qemut-scsi-esp-OOB-write-while-writing-to-cmdbuf-in-esp_reg_write.patch
- fate#319989 - Update to Xen 4.7 RC3
xen-4.7.0-testing-src.tar.bz2
- Dropped
libxl-remove-cdrom-cachemode.patch
x86-PoD-only-reclaim-if-needed.patch
gcc6-warnings-as-errors.patch
- bsc#954872 - script block-dmmd not working as expected - libxl:
error: libxl_dm.c (another modification)
block-dmmd
- fate#319989 - Update to Xen 4.7 RC2
xen-4.7.0-testing-src.tar.bz2
- bsc#961600 - L3: poor performance when Xen HVM domU configured
with max memory > current memory
x86-PoD-only-reclaim-if-needed.patch
- Mark SONAMEs and pkgconfig as xen 4.7
xen.pkgconfig-4.7.patch
- bsc#977329 - Xen: Cannot boot HVM guests with empty cdrom
libxl-remove-cdrom-cachemode.patch
- fate#319989 - Update to Xen 4.7 RC1
xen-4.7.0-testing-src.tar.bz2
- fate#316614: set migration constraints from cmdline
restore libxl.set-migration-constraints-from-cmdline.patch
- Remove obsolete patch for xen-kmp
magic_ioport_compat.patch
- fate#316613: update to v12
libxl.pvscsi.patch
- Update to the latest Xen 4.7 pre-release c2994f86 (fate#319989)
Drop libxl.migrate-legacy-stream-read.patch
- bnc#972756 - Can't migrate HVM guest from SLES12SP1 Xen host
to SLES12SP2 Alpha 1 host using xl migrate
libxl.migrate-legacy-stream-read.patch
- Add patches from proposed upstream series to load BIOS's from
the toolstack instead of embedding in hvmloader
http://lists.xenproject.org/archives/html/xen-devel/2016-03/msg01626.html
0001-libxc-Rework-extra-module-initialisation.patch,
0002-libxc-Prepare-a-start-info-structure-for-hvmloader.patch,
0003-configure-define-SEABIOS_PATH-and-OVMF_PATH.patch,
0004-firmware-makefile-install-BIOS-blob.patch,
0005-libxl-Load-guest-BIOS-from-file.patch,
0006-xen-Move-the-hvm_start_info-C-representation-from-li.patch,
0007-hvmloader-Grab-the-hvm_start_info-pointer.patch,
0008-hvmloader-Locate-the-BIOS-blob.patch,
0009-hvmloader-Check-modules-whereabouts-in-perform_tests.patch,
0010-hvmloader-Load-SeaBIOS-from-hvm_start_info-modules.patch,
0011-hvmloader-Load-OVMF-from-modules.patch,
0012-hvmloader-Specific-bios_load-function-required.patch,
0013-hvmloader-Always-build-in-SeaBIOS-and-OVMF-loader.patch,
0014-configure-do-not-depend-on-SEABIOS_PATH-or-OVMF_PATH.patch
- Enable support for UEFI on x86_64 using the ovmf-x86_64-ms.bin
firmware from qemu-ovmf-x86_64. The firmware is preloaded with
Microsoft keys to more closely resemble firmware on real hardware
FATE#320490
- fate#319989: Update to Xen 4.7 (pre-release)
xen-4.7.0-testing-src.tar.bz2
- Dropped:
xen-4.6.1-testing-src.tar.bz2
55f7f9d2-libxl-slightly-refine-pci-assignable-add-remove-handling.patch
5628fc67-libxl-No-emulated-disk-driver-for-xvdX-disk.patch
5644b756-x86-HVM-don-t-inject-DB-with-error-code.patch
5649bcbe-libxl-relax-readonly-check-introduced-by-XSA-142-fix.patch
hotplug-Linux-block-performance-fix.patch
set-mtu-from-bridge-for-tap-interface.patch
xendomains-libvirtd-conflict.patch
xsa154.patch
xsa155-xen-0001-xen-Add-RING_COPY_REQUEST.patch
xsa155-xen-0002-blktap2-Use-RING_COPY_REQUEST.patch
xsa155-xen-0003-libvchan-Read-prod-cons-only-once.patch
xsa170.patch
- Use system SeaBIOS instead of building/installing another one
FATE#320638
Dropped files:
seabios-dir-remote.tar.bz2
xen-c99-fix.patch
xen.build-compare.seabios.patch
- spec: drop BuildRequires that were only needed for qemu-xen

==== xosview ====

- Choose a working compiler

==== zinnia ====
Subpackages: libzinnia0

- fix boo#985148: GCC6: zinnia fails to build
- add patch: zinnia-gcc6.patch
* fix no matching function for call to 'make_pair' error

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >